## karchive 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
project(KArchive VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION}Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
    URL "https://www.zlib.net"
    DESCRIPTION "Support for gzip compressed files and data streams"
    TYPE REQUIRED
    PURPOSE "Support for gzip compressed files and data streams"
)

find_package(BZip2)
set_package_properties(BZip2 PROPERTIES
    URL "https://sourceware.org/bzip2/"
    DESCRIPTION "Support for BZip2 compressed files and data streams"
    TYPE RECOMMENDED
    PURPOSE "Support for BZip2 compressed files and data streams"
)

find_package(LibLZMA)
set_package_properties(LibLZMA PROPERTIES
    URL "https://tukaani.org/xz/"
    DESCRIPTION "Support for xz compressed files and data streams"
    PURPOSE "Support for xz compressed files and data streams"
)

find_package(PkgConfig)
if (PkgConfig_FOUND)
    pkg_check_modules(LibZstd IMPORTED_TARGET "libzstd")
endif()
add_feature_info(LibZstd LibZstd_FOUND
                "Support for zstd compressed files and data streams"
)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KARCHIVE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/karchive_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfigVersion.cmake"
    SOVERSION 5)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_install_po_files_as_qm(poqm)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Archive")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Archive_QCH
        FILE KF5ArchiveQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ArchiveQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5ArchiveConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/karchive_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KArchive
        COMPONENT Devel)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5ArchiveConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5ArchiveTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ArchiveTargets.cmake
        NAMESPACE KF5::)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/helloworld/CMakeLists.txt ===
# For more information see the CMake documentation:
# https://cmake.org/documentation/
# https://community.kde.org/Guidelines_and_HOWTOs/CMake

# Project name
project(HelloWorld)

# Look for the KArchive module
find_package(KF5Archive ${KF_VERSION} REQUIRED)

find_package(Qt${QT_MAJOR_VERSION}Core REQUIRED)

add_executable(helloworld main.cpp)

# Link our executable with the KArchive library
target_link_libraries(helloworld KF5::Archive Qt${QT_MAJOR_VERSION}::Core)

=== debian/changelog ===
karchive (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:21 +0100

karchive (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:59 +0100

karchive (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:19 +0100

karchive (5.100.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Upload to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:17:26 +0100

karchive (5.100.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Add libkf5archive-data package for the localization files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Nov 2022 23:11:41 +0100

karchive (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:33 +0200

karchive (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 20:04:28 +0200

karchive (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:54 +0200

karchive (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

karchive (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * New upstream release (5.93.0).
  * Add missing optional build dependencies for zstd support.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

karchive (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:40 +0100

=== debian/control ===
Source: karchive
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libbz2-dev,
               liblzma-dev,
               libqt5sql5-sqlite:native,
               libzstd-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/karchive
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/karchive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/karchive.git
Rules-Requires-Root: no

Package: libkf5archive-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: data files for karchive
 Karchive is a Qt 5 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5archive-dev
Section: libdevel
Architecture: any
Depends: libkf5archive5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5archive-doc (= ${source:Version}),
Description: development files for karchive
 Karchive is a Qt 5 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kdoctools-dev (<< 5.28),
        libkf5doctools-dev (<< 5.54),
        libkf5emoticons-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),

Package: libkf5archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt 5 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5archive5
Architecture: any
Multi-Arch: same
Depends: libkf5archive-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
Breaks: kdoctools5 (<< 5.54),
        kimageformat-plugins (<< 5.54),
        kio (<< 5.54),
        kpackagetool5 (<< 5.54),
        libkf5doctools5 (<< 5.54),
        libkf5emoticons5 (<< 5.54),
        libkf5filemetadata-bin (<< 5.54),
        libkf5iconthemes5 (<< 5.54),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5package5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),

## karchive 5.104.0

=== debian/changelog ===
karchive (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:35 +0000

karchive (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:31 +0000

karchive (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:22 +0000

karchive (5.101.0-1ubuntu1) lunar; urgency=medium

  * Re-apply Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 13:44:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: karchive
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                libbz2-dev,
                liblzma-dev,
                libqt5sql5-sqlite:native,
@@ -18,16 +18,16 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/karchive
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/karchive
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/karchive.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/karchive
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/karchive
 Rules-Requires-Root: no
 
 Package: libkf5archive-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: data files for karchive
  Karchive is a Qt 5 addon providing access to numerous types of archives.
  .
@@ -47,7 +47,7 @@
 Depends: libkf5archive5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5archive-doc (= ${source:Version}),
+Recommends: libkf5archive-doc (= ${source:Version})
 Description: development files for karchive
  Karchive is a Qt 5 addon providing access to numerous types of archives.
  .
@@ -69,7 +69,7 @@
 Package: libkf5archive-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Qt 5 addon providing access to numerous types of archives (documentation)
  KArchive provides classes for easy reading, creation and manipulation of
  "archive" formats like ZIP and TAR.

## karchive 5.105.0

=== debian/changelog ===
karchive (5.105.0-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:51:17 +0000

karchive (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:15:43 +0000

karchive (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:24:59 +0000

karchive (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:42:24 +0000

karchive (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:48:33 +0000

karchive (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:52:06 +0000

karchive (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:09:08 +0000

karchive (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:16:50 +0000

karchive (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:50:17 +0000

karchive (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:20:28 +0000

karchive (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 11:59:49 +0000

karchive (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:11:44 +0000

karchive (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:08:09 +0000

karchive (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:06 +0000

karchive (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:13 +0000

karchive (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 06:21:05 +0000

karchive (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:07:27 +0000

karchive (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:16:06 +0000

karchive (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:23:04 +0000

karchive (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:13:37 +0000

karchive (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:05:30 +0000

karchive (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:08:51 +0000

karchive (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:51:08 +0000

karchive (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:07:06 +0000

karchive (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:02:25 +0000

karchive (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:39 +0000

karchive (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:37:02 +0000

karchive (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:22:16 +0000

karchive (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:11:04 +0000

karchive (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:12:20 +0000

karchive (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:46:35 +0000

karchive (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:39:08 +0000

karchive (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:17:28 +0000

karchive (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:16:51 +0000

karchive (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:02:44 +0000

karchive (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:19:50 +0000

karchive (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:35:35 +0000

karchive (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 13:56:24 +0000

karchive (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:14:37 +0000

karchive (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:12:08 +0000

karchive (5.61.90-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:49:35 +0000

karchive (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jul 2019 15:42:00 +0000

karchive (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:06:38 +0000

karchive (5.58.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 13:11:21 +0000

karchive (5.57.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Apr 2019 08:37:18 +0000

karchive (5.56.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Mar 2019 15:51:11 +0000

karchive (5.55.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Feb 2019 22:30:39 +0000



## karchive 5.106.0

=== debian/changelog ===
karchive (5.106.0-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:34:46 +0000

karchive (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:41:47 +0000

=== debian/control ===
Source: karchive
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libbz2-dev,
               liblzma-dev,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/karchive
Vcs-Git: https://invent.kde.org/neon/kde/karchive.git
Vcs-Browser: https://invent.kde.org/neon/kde/karchive
Maintainer: Neon CI <neon@kde.org>

Package: libkf5archive-dev
Section: libdevel
Architecture: any
Depends: libkf5archive5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5archive-doc (= ${source:Version})
Description: development files for karchive
 Karchive is a Qt 5 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kdoctools-dev (<< 5.28),
        libkf5archive-doc (<< 5.61.90-0),
        libkf5doctools-dev (<< 5.51),
        libkf5emoticons-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5newstuff-dev (<< 5.51)
Replaces: libkf5archive-doc (<< 5.61.90-0)

Package: libkf5archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt 5 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5archive5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
Breaks: kdoctools5 (<< 5.51),
        kimageformat-plugins (<< 5.51),
        kio (<< 5.51),
        kpackagetool5 (<< 5.51),
        libkf5doctools5 (<< 5.51),
        libkf5emoticons5 (<< 5.51),
        libkf5filemetadata-bin (<< 5.51),
        libkf5iconthemes5 (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5package5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5texteditor5 (<< 5.51)

## karchive 5.107.0

=== debian/changelog ===
karchive (5.107.0-0xneon+22.04+jammy+release+build19) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:20:59 +0000

karchive (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:45:23 +0000

## karchive 5.109.0

=== debian/changelog ===
karchive (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:13 +0100

karchive (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:41 +0100

karchive (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:42 +0100

karchive (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:13 +0100

=== debian/control ===
Source: karchive
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libbz2-dev,
               liblzma-dev,
               libqt5sql5-sqlite:native,
               libzstd-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/karchive
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/karchive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/karchive
Rules-Requires-Root: no

Package: libkf5archive-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data files for karchive
 Karchive is a Qt 5 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5archive-dev
Section: libdevel
Architecture: any
Depends: libkf5archive5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5archive-doc (= ${source:Version})
Description: development files for karchive
 Karchive is a Qt 5 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kdoctools-dev (<< 5.28),
        libkf5doctools-dev (<< 5.54),
        libkf5emoticons-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),

Package: libkf5archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt 5 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5archive5
Architecture: any
Multi-Arch: same
Depends: libkf5archive-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
Breaks: kdoctools5 (<< 5.54),
        kimageformat-plugins (<< 5.54),
        kio (<< 5.54),
        kpackagetool5 (<< 5.54),
        libkf5doctools5 (<< 5.54),
        libkf5emoticons5 (<< 5.54),
        libkf5filemetadata-bin (<< 5.54),
        libkf5iconthemes5 (<< 5.54),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5package5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),

## karchive 5.110.0

=== debian/changelog ===
karchive (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:04:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libbz2-dev,
                liblzma-dev,
                libqt5sql5-sqlite:native,

## karchive 5.113.0

=== debian/changelog ===
karchive (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:41:20 +0000

karchive (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:09 +0000

karchive (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:55:48 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libbz2-dev,
                liblzma-dev,
                libqt5sql5-sqlite:native,

## karchive 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
karchive (5.115.0-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit d6faa84e9eef93cd652488cf0cf3e5ec7a001fad to fix
    the reading of ZIP64 fields on certain architectures; patch
    upstream_kzip-fix-reading-of-ZIP64-fields-on-certain-architec.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 08:51:09 +0100

karchive (5.115.0-3) unstable; urgency=medium

  * Team upload.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop the unused leftovers of the 'testsuite' autpkgtest.
  * Remove the unused debian/meta/ stuff.
  * CI: update/simplify configuration.
  * Run the test suite at build time, since it seems to work fine:
    - disable the fixfilepath reproducibility feature, as it breaks
      QFINDTESTDATA
  * Bump Standards-Version to 4.7.0, no changes required.
  * Drop the unused ${shlibs:Depends} substvar from libkf5archive-data.
  * Backport upstream commit 540a693532841563dbca2ca263ddbb977d2bad6b to fix
    the reading of 7zip archives on 32bit big endian architectures; patch
    upstream_k7zip-fix-simplify-GetUi-functions.patch.
  * Add build dependencies needed for running the tests: zstd.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Nov 2024 09:31:15 +0100

karchive (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:10:06 +0200

karchive (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 12:44:09 +0100

karchive (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:25 +0200

karchive (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,35 @@
 Source: karchive
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                libbz2-dev,
                liblzma-dev,
                libqt5sql5-sqlite:native,
                libzstd-dev,
-               pkg-config,
-               pkg-kde-tools (>= 0.15.16~),
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                zlib1g-dev,
-Standards-Version: 4.6.1
+               zstd <!nocheck>,
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/karchive
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/karchive
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/karchive
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/karchive
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/karchive.git
 Rules-Requires-Root: no
 
 Package: libkf5archive-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
 Description: data files for karchive
  Karchive is a Qt 5 addon providing access to numerous types of archives.
  .
@@ -47,7 +49,7 @@
 Depends: libkf5archive5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5archive-doc (= ${source:Version})
+Recommends: libkf5archive-doc (= ${source:Version}),
 Description: development files for karchive
  Karchive is a Qt 5 addon providing access to numerous types of archives.
  .
@@ -69,7 +71,7 @@
 Package: libkf5archive-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Qt 5 addon providing access to numerous types of archives (documentation)
  KArchive provides classes for easy reading, creation and manipulation of
  "archive" formats like ZIP and TAR.

## karchive 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/unzipper/CMakeLists.txt ===
project(Unzipper)

find_package(KF5Archive ${KF_VERSION} REQUIRED)

add_executable(unzipper main.cpp)
target_link_libraries(unzipper KF5::Archive)

=== debian/changelog ===
karchive (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:30:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libbz2-dev,
                liblzma-dev,
                libqt5sql5-sqlite:native,
@@ -20,7 +20,7 @@
                qttools5-dev-tools (>= 5.4),
                zlib1g-dev,
                zstd <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/karchive
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/karchive
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/karchive.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## karchive 5.116.0+p24.04+vstable+git20250902.0046

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20250902.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Sep 2025 00:46:48 +0000

karchive (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:36:18 +1000

karchive (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:18:35 +0000

karchive (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:13:21 +0000

karchive (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:55:10 +0000

karchive (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 07:18:47 +0000

karchive (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

karchive (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:18:03 +0000

karchive (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:01:01 +0000

karchive (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:01:01 +0000

karchive (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:29:32 +0000

## karchive 5.116.0+p24.04+vstable+git20250916.0115

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20250916.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:15:17 +0000

## karchive 5.116.0+p24.04+vstable+git20251015.0749

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20251015.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:49:47 +0000

=== debian/control ===
Source: karchive
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libbz2-dev,
               liblzma-dev,
               libqt5sql5-sqlite:native,
               libzstd-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/karchive
Vcs-Git: https://invent.kde.org/neon/kde/karchive.git
Vcs-Browser: https://invent.kde.org/neon/kde/karchive
Maintainer: Neon CI <neon@kde.org>

Package: libkf5archive-dev
Section: libdevel
Architecture: any
Depends: libkf5archive5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5archive-doc (= ${source:Version})
Description: development files for karchive
 Karchive is a Qt 5 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kdoctools-dev (<< 5.28),
        libkf5archive-doc (<< 5.61.90-0),
        libkf5doctools-dev (<< 5.51),
        libkf5emoticons-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5newstuff-dev (<< 5.51)
Replaces: libkf5archive-doc (<< 5.61.90-0)

Package: libkf5archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt 5 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5archive5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 5.
Breaks: kdoctools5 (<< 5.51),
        kimageformat-plugins (<< 5.51),
        kio (<< 5.51),
        kpackagetool5 (<< 5.51),
        libkf5doctools5 (<< 5.51),
        libkf5emoticons5 (<< 5.51),
        libkf5filemetadata-bin (<< 5.51),
        libkf5iconthemes5 (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5package5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5texteditor5 (<< 5.51)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5archive5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/karchive-(.*)\.tar\.xz

## karchive 5.116.0+p24.04+vstable+git20251019.0201

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20251019.0201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:01:20 +0000

## karchive 5.116.0+p24.04+vstable+git20251212.0050

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20251212.0050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 00:50:10 +0000

## karchive 5.116.0+p24.04+vstable+git20260105.0812

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20260105.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:12:10 +0000

## karchive 5.116.0+p24.04+vstable+git20260122.1233

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20260122.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:33:55 +0000

## karchive 5.116.0+p24.04+vstable+git20260131.1320

=== debian/changelog ===
karchive (5.116.0+p24.04+vstable+git20260131.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:20:56 +0000

## karchive 5.116.0+p24.04+vunstable+git20251015.0852

=== debian/changelog ===
karchive (5.116.0+p24.04+vunstable+git20251015.0852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:52:16 +0000

## karchive 5.116.0+p24.04+vunstable+git20251020.0122

=== debian/changelog ===
karchive (5.116.0+p24.04+vunstable+git20251020.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:22:54 +0000

## karchive 5.116.0+p24.04+vunstable+git20251211.0217

=== debian/changelog ===
karchive (5.116.0+p24.04+vunstable+git20251211.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 02:17:15 +0000

## karchive 5.116.0+p24.04+vunstable+git20260123.0202

=== debian/changelog ===
karchive (5.116.0+p24.04+vunstable+git20260123.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:02:43 +0000
